%define oname SuperLU

Summary:        Matrix solver
Name:           superlu
Version:        3.0
Release:        %mkrel 6
License:        BSD
Group:          Development/C
URL:            http://crd.lbl.gov/~xiaoye/SuperLU/
Source:         http://crd.lbl.gov/~xiaoye/SuperLU/%{name}_%{version}.tar.bz2
Source1:        superlu_ug.ps.gz
Patch0:		superlu-3.0-makefile.patch
Patch1:		superlu-3.0-i586-make.inc.patch
Patch2:		superlu-3.0-x86_64-make.inc.patch
Patch3:         superlu-overflow.patch
Patch4:         superlu-dont-opt-away.diff
Patch5:         superlu-initialize.diff
BuildRequires:	gcc-gfortran, blas-devel
BuildRequires:	tcsh
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
SuperLU is an algorithm that uses group theory to optimize LU
decomposition of sparse matrices. It's the fastest direct solver for
linear systems that the author is aware of.

%prep
%setup -qn %{oname}_%{version}
%patch0 -p0

%ifarch x86_64
%patch2 -p0
%else
%patch1 -p0
%endif

%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
perl -pi -e "s/CFLAGS=.*/CFLAGS=%{optflags}/" make.inc
make all

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}

install libsuperlu_%{version}.a %{buildroot}%{_libdir}/libsuperlu_%{version}.a

cp -pf README %{buildroot}%{_docdir}/%{name}-%{version}/README
cp -pf %{SOURCE1} %{buildroot}%{_docdir}/%{name}-%{version}/
cp -ax EXAMPLE %{buildroot}%{_docdir}/%{name}-%{version}/
cp -ax FORTRAN %{buildroot}%{_docdir}/%{name}-%{version}/

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}/*
%{_libdir}/*.a


%changelog
* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0-6mdv2009.0
+ Revision: 261273
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0-5mdv2009.0
+ Revision: 253766
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0-3mdv2008.1
+ Revision: 171134
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 11 2007 Lev Givon <lev@mandriva.org> 3.0-2mdv2008.1
+ Revision: 107493
- Modify build procedure to use libblas.a provided by blas-devel.

* Mon Apr 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0-1mdv2008.0
+ Revision: 17528
- Import superlu

